"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const download_util_1 = require("../util/download.util");
const get_my_os_asset_util_1 = require("../util/get-my-os-asset.util");
const github_api_1 = require("../api/github.api");
const teresa_util_1 = require("../util/teresa.util");
exports.default = () => __awaiter(void 0, void 0, void 0, function* () {
    const t = yield github_api_1.default();
    if (t.documentation_url) {
        console.error('Token Inválido.');
        process.exit(1);
        return;
    }
    const asset = get_my_os_asset_util_1.default(t.assets);
    const teresaExist = yield teresa_util_1.default.verifyInstalled();
    if (teresaExist) {
        const computerVersion = yield teresa_util_1.default.verifyVersion();
        if (t.name === computerVersion) {
            console.log(`Você já possui a última versão do teresa: [${t.name}]`);
            return;
        }
        console.log(`A versão instalada é a [${computerVersion}], vamos atualizar para a [${t.name}]`);
    }
    else {
        console.log(`Você ainda não tem o teresa instalado, vamos instalar a [${t.name}]`);
    }
    try {
        yield download_util_1.default({
            directory: __dirname,
            filename: asset.filename,
            url: asset.browser_download_url,
        });
    }
    catch (error) {
        console.error('Falha ao efetuar o download.');
        throw error;
    }
    try {
        yield teresa_util_1.default.setSudo();
        yield teresa_util_1.default.setChmod(`${__dirname}//${asset.filename}`);
        yield teresa_util_1.default.movePath(__dirname, asset.filename);
        console.log('Atualizado com sucesso meu parça!');
    }
    catch (error) {
        console.log("Talvez você não tenha rodado o teresinha como super user, use '$ teresinha update'");
        console.log(error.message);
    }
});
//# sourceMappingURL=download-teresa.action.js.map