"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const command_util_1 = require("../util/command.util");
exports.default = (appName, path) => __awaiter(void 0, void 0, void 0, function* () {
    if (!fs.existsSync(path)) {
        console.log(`${path} não foi encontrado`);
        return;
    }
    const allEnvs = fs.readFileSync(path).toString().split('\n').filter(q => q[0] !== '#' && q !== '');
    if (allEnvs[0] == null) {
        return undefined;
    }
    return command_util_1.default(`teresa app env-set ${allEnvs.join(' ')} --app ${appName} --no-input`);
});
//# sourceMappingURL=env.action.js.map