"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const teresa_util_1 = require("../util/teresa.util");
exports.default = (pathName) => __awaiter(void 0, void 0, void 0, function* () {
    const pathResolved = path.resolve(pathName);
    console.log('[teresinha] Caminho do Arquivo: ' + pathResolved);
    if (!fs.existsSync(pathResolved)) {
        console.log(`${pathResolved} não foi encontrado`);
        return;
    }
    const apps = yield teresa_util_1.default.allApps();
    const envVars = yield Promise.all(apps.map((app) => {
        return teresa_util_1.default.getEnvVars(app);
    }));
    envVars.map((item) => {
        fs.writeFileSync(`${pathResolved}/.env-${item.app}`, item.envs.join('\n'));
    });
    return envVars;
});
//# sourceMappingURL=get-all-envs.action.js.map