"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const command_util_1 = require("../util/command.util");
exports.default = (pathName) => __awaiter(void 0, void 0, void 0, function* () {
    const pathResolved = path.resolve(pathName);
    if (!fs.existsSync(pathResolved)) {
        console.log(`${pathResolved} não foi encontrado`);
        return;
    }
    const promises = [];
    const envsFiles = fs.readdirSync(pathResolved);
    for (const envFile of envsFiles) {
        const appName = envFile.split('.env-')[1];
        const allEnvs = fs.readFileSync(`${pathResolved}/${envFile}`).toString().split('\n').filter(q => q[0] !== '#' && q !== '');
        if (allEnvs[0] == null) {
            continue;
        }
        promises.push(command_util_1.default(`teresa app env-set ${allEnvs.join(' ')} --app ${appName} --no-input`));
    }
    return Promise.all(promises);
});
//# sourceMappingURL=set-all-envs.action.js.map