"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const download = require("download");
const fs = require("fs");
const loading = require("loading-indicator");
const path = require("path");
exports.default = (options) => __awaiter(void 0, void 0, void 0, function* () {
    const timer = loading.start('Baixando...');
    try {
        const data = yield download(options.url);
        loading.stop(timer);
        fs.writeFileSync(`${options.directory}//${options.filename}`, data);
        return path.join(options.directory, options.filename);
    }
    catch (error) {
        loading.stop(timer);
        throw error;
    }
});
//# sourceMappingURL=download.util.js.map