"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const os = require("os");
const sudo = require("sudo");
const command_util_1 = require("./command.util");
function setSudo() {
    return __awaiter(this, void 0, void 0, function* () {
        if (os.type() === 'Windows_NT') {
            return {};
        }
        const options = {
            cachePassword: true,
            prompt: '[sudo] Digite sua senha: ',
            spawnOptions: {},
        };
        const child = sudo(['ls', '-l', '/tmp', 'mv'], options);
        child.stdout.on('data', () => {
            return {};
        });
        return {};
    });
}
function verifyInstalled() {
    return __awaiter(this, void 0, void 0, function* () {
        try {
            return (yield command_util_1.default('teresa')) == null;
        }
        catch (error) {
            return false;
        }
    });
}
function verifyVersion() {
    return __awaiter(this, void 0, void 0, function* () {
        const data = yield command_util_1.default('teresa version');
        return data.replace('Version: ', '').trim();
    });
}
function setChmod(path) {
    return __awaiter(this, void 0, void 0, function* () {
        if (os.type() === 'Windows_NT') {
            return {};
        }
        return command_util_1.default(`sudo chmod 777 ${path}`);
    });
}
function movePath(path, filename) {
    return __awaiter(this, void 0, void 0, function* () {
        let comando = '';
        switch (os.type()) {
            case 'Windows_NT':
                comando = `move '${path}\\${filename}' 'c:\\windows\\system32\\'`;
                break;
            default:
                comando = `sudo mv ${path}//${filename} /usr/local/bin/`;
                break;
        }
        return command_util_1.default(comando);
    });
}
function allApps() {
    return __awaiter(this, void 0, void 0, function* () {
        const allApps = [];
        const rawApps = (yield command_util_1.default('teresa app list')).split('\n');
        for (const line of rawApps) {
            if (line[0] === '+') {
                continue;
            }
            if (line[0] === '|') {
                const app = line.split('|')[2].trim();
                if (app === 'APP') {
                    continue;
                }
                allApps.push(app);
            }
        }
        return allApps;
    });
}
function getEnvVars(app) {
    return __awaiter(this, void 0, void 0, function* () {
        const envVars = {
            app,
            envs: [],
        };
        const rawInfo = (yield command_util_1.default(`teresa app info ${app}`)).split('\n');
        let envs = false;
        for (const line of rawInfo) {
            if (line === 'env vars:') {
                envs = true;
                continue;
            }
            if (!envs) {
                continue;
            }
            if (line === 'status:') {
                break;
            }
            envVars.envs.push(line.trim());
        }
        return envVars;
    });
}
exports.default = {
    setSudo,
    verifyInstalled,
    verifyVersion,
    setChmod,
    movePath,
    allApps,
    getEnvVars,
};
//# sourceMappingURL=teresa.util.js.map